Cyberduck Mountain Duck CLI

#9010 closed defect (worksforme)

FTP Connections not working through proxy when "Use system proxy settings" checked

Reported by: ducklips Owned by:
Priority: normal Milestone:
Component: core Version: 4.7.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

In a proxied environment, checking "Use system proxy settings" causes FTP connections to fail. Unchecking the checkbox in a proxied environment, it connects just fine.

All of this is being observed on a MacBook Pro 15" running OS X 10.10.5, tested when I'm at work (proxied environment) and at home (no proxies needed). The proxies are set either via a PAC file or statically (no authentication required, PASV always enabled).

Screen capture of preferences window

Attachments (4)

Screen Shot 2015-09-10 at 2.03.38 PM.png (86.2 KB) - added by ducklips on Sep 10, 2015 at 8:46:38 PM.
Screen capture of preferences window
Cyberduck-use-system-proxies-checked-connection-failure.m4v (2.2 MB) - added by ducklips on Sep 16, 2015 at 3:56:13 PM.
Screen capture movie of a Cyberduck connection failure when "Use system proxy settings" is checked
Cyberduck-use-system-proxies-unchecked-connection-success.m4v (612.5 KB) - added by ducklips on Sep 16, 2015 at 3:56:42 PM.
Screen capture movie of a Cyberduck connection success when "Use system proxy settings" is unchecked
Screen Shot 2015-09-17 at 9.28.22 AM.png (113.4 KB) - added by ducklips on Sep 17, 2015 at 3:44:39 PM.
Screen capture of System Preferences -> Network -> Advanced -> Proxies

Change History (16)

Changed on Sep 10, 2015 at 8:46:38 PM by ducklips

Screen capture of preferences window

comment:1 Changed on Sep 11, 2015 at 1:22:10 PM by dkocher

Please post the error message and the transcript from View → Log Drawer.

comment:2 Changed on Sep 16, 2015 at 10:26:13 AM by dkocher

  • Description modified (diff)

Changed on Sep 16, 2015 at 3:56:13 PM by ducklips

Screen capture movie of a Cyberduck connection failure when "Use system proxy settings" is checked

Changed on Sep 16, 2015 at 3:56:42 PM by ducklips

Screen capture movie of a Cyberduck connection success when "Use system proxy settings" is unchecked

comment:3 Changed on Sep 16, 2015 at 3:58:41 PM by ducklips

When "Use system proxy settings" checkbox is checked, attempting to connect shows no log trace. Also, at the end, there is the "Try again" / "Cancel" / "Network Diagnostics" dialog. Clicking on "Network Diagnostics" dismisses the dialog but Network Diagnostics is not launched.

When "Use system proxy settings" checkbox is unchecked, attempting to connect shows the expected log trace.

Attached are 2 screen capture movies: one of a failure, and the other of a successful connection:

https://trac.cyberduck.io/attachment/ticket/9010/Cyberduck-use-system-proxies-checked-connection-failure.m4v https://trac.cyberduck.io/attachment/ticket/9010/Cyberduck-use-system-proxies-unchecked-connection-success.m4v

comment:4 Changed on Sep 17, 2015 at 9:04:16 AM by dkocher

The error Read timed out indicates that the proxy server is not responding. Are you sure the proxy configuration is valid? Please post the settings from System Preferences → Network → Advanced… → Proxies.

Changed on Sep 17, 2015 at 3:44:39 PM by ducklips

Screen capture of System Preferences -> Network -> Advanced -> Proxies

comment:5 follow-up: Changed on Sep 17, 2015 at 3:46:13 PM by ducklips

It turns out that having an FTP proxy configured is no longer needed when on the HP Intranet. But having the "FTP" proxy checkbox in the Proxies tab of the network adapter's Advanced settings checked or unchecked, the behavior observed in Cyberduck is the same.

I did just try unchecking SOCKS, and when that is unchecked then Cyberduck will connect. So I guess Cyberduck is failing over to using SOCKS, and that is causing the issue.

I still don't understand why unchecking the Cyberduck preference for "Use system proxy settings" doesn't let me manually set proxy settings in Cyberduck. (I can file a separate ticket for this if needed.

Last edited on Sep 17, 2015 at 3:50:04 PM by ducklips (previous) (diff)

comment:6 Changed on Sep 17, 2015 at 4:22:44 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:7 follow-up: Changed on Sep 17, 2015 at 5:40:35 PM by ducklips

That resolution is pretty disappointing.

comment:8 in reply to: ↑ 5 ; follow-up: Changed on Sep 17, 2015 at 5:58:17 PM by dkocher

Replying to ducklips:

It turns out that having an FTP proxy configured is no longer needed when on the HP Intranet. But having the "FTP" proxy checkbox in the Proxies tab of the network adapter's Advanced settings checked or unchecked, the behavior observed in Cyberduck is the same.

I did just try unchecking SOCKS, and when that is unchecked then Cyberduck will connect. So I guess Cyberduck is failing over to using SOCKS, and that is causing the issue.

I still don't understand why unchecking the Cyberduck preference for "Use system proxy settings" doesn't let me manually set proxy settings in Cyberduck. (I can file a separate ticket for this if needed.

Do you imply that we should ignore the SOCKS proxy setting for FTP connections?

comment:9 in reply to: ↑ 7 ; follow-up: Changed on Sep 17, 2015 at 5:59:19 PM by dkocher

Replying to ducklips:

That resolution is pretty disappointing.

We have closed this issue with the understanding that the proxy settings in System Preferences are no longer valid and should be updated.

comment:10 in reply to: ↑ 8 ; follow-up: Changed on Sep 17, 2015 at 6:19:27 PM by ducklips

Replying to dkocher:

Replying to ducklips:

It turns out that having an FTP proxy configured is no longer needed when on the HP Intranet. But having the "FTP" proxy checkbox in the Proxies tab of the network adapter's Advanced settings checked or unchecked, the behavior observed in Cyberduck is the same.

I did just try unchecking SOCKS, and when that is unchecked then Cyberduck will connect. So I guess Cyberduck is failing over to using SOCKS, and that is causing the issue.

I still don't understand why unchecking the Cyberduck preference for "Use system proxy settings" doesn't let me manually set proxy settings in Cyberduck. (I can file a separate ticket for this if needed.

Do you imply that we should ignore the SOCKS proxy setting for FTP connections?

I'm not sure how you might want to handle the condition where the FTP proxy is not enabled but the SOCKS proxy is configured and enabled. It seems like an odd and probably annoying corner case. I suppose you could try direct connection first and then try SOCKS or the other way around in any retries.

Perhaps I should let this one go. But I'm going to file a separate ticket for the issue that when "Use system proxy settings" is unchecked, there seems to be no UI presented by Cyberduck to locally configure its own proxy settings.

comment:11 in reply to: ↑ 9 Changed on Sep 17, 2015 at 6:28:40 PM by ducklips

Replying to dkocher:

Replying to ducklips:

That resolution is pretty disappointing.

We have closed this issue with the understanding that the proxy settings in System Preferences are no longer valid and should be updated.

Actually the change in my own system settings is that FTP connections no longer require connecting through a proxy server (FTP or SOCKS) - direct connections are the IT supported connection method.

comment:12 in reply to: ↑ 10 Changed on Sep 17, 2015 at 6:43:17 PM by ducklips

Replying to ducklips:

Replying to dkocher:

Replying to ducklips:

It turns out that having an FTP proxy configured is no longer needed when on the HP Intranet. But having the "FTP" proxy checkbox in the Proxies tab of the network adapter's Advanced settings checked or unchecked, the behavior observed in Cyberduck is the same.

I did just try unchecking SOCKS, and when that is unchecked then Cyberduck will connect. So I guess Cyberduck is failing over to using SOCKS, and that is causing the issue.

I still don't understand why unchecking the Cyberduck preference for "Use system proxy settings" doesn't let me manually set proxy settings in Cyberduck. (I can file a separate ticket for this if needed.

Do you imply that we should ignore the SOCKS proxy setting for FTP connections?

I'm not sure how you might want to handle the condition where the FTP proxy is not enabled but the SOCKS proxy is configured and enabled. It seems like an odd and probably annoying corner case. I suppose you could try direct connection first and then try SOCKS or the other way around in any retries.

Perhaps I should let this one go. But I'm going to file a separate ticket for the issue that when "Use system proxy settings" is unchecked, there seems to be no UI presented by Cyberduck to locally configure its own proxy settings.

New ticket for Cyberduck native proxy settings UI issue: https://trac.cyberduck.io/ticket/9018

Note: See TracTickets for help on using tickets.
swiss made software